Skip to main content
GET
/
orgs
/
{org_id}
/
emails
/
identities
Get Email Identities
curl --request GET \
  --url https://api.useinvent.com/orgs/{org_id}/emails/identities \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "email": "<string>",
    "name": "<string>",
    "domain": {
      "id": "<string>",
      "domain": "<string>",
      "dkim_tokens": [
        {
          "name": "<string>",
          "value": "<string>"
        }
      ],
      "verified_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    },
    "is_default": true,
    "click_tracking": true,
    "open_tracking": true,
    "verified_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication using your API key

Path Parameters

org_id
string
required

The ID of the org

Query Parameters

Search identities by email or name

Maximum string length: 256
page
number

Page number

take
number

Number of items to take

next
string

Next page token (Only used on special endpoints)

Response

200 - application/json
id
string
required

Unique identifier for the email identity

email
string
required

Email address of the identity

name
string | null
required

Display name for the identity

status
enum<string>
required

Verification status of an email identity

Available options:
PENDING,
VERIFIED,
FAILED
domain
object
required

Linked email domain

is_default
boolean
required

Whether this is the default identity for the org

click_tracking
boolean
required

Whether click tracking is enabled for this identity

open_tracking
boolean
required

Whether open tracking is enabled for this identity

verified_at
string<date-time> | null
required

Timestamp when the identity was verified

created_at
string<date-time> | null
required

Timestamp when the identity was created

updated_at
string<date-time> | null
required

Timestamp when the identity was last updated